
QGIS Application - Bug report #13951

QGIS crashes when trying to view polygon whose border intersects itself

2015-12-06 08:35 AM - Martin Formanek

Status: Closed

Priority: Normal

Assignee:

Category: Data Provider/MSSQL

Affected QGIS version:2.10.1 Regression?: No

Operating System: MS Windows (x64) Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:Yes Copied to github as #: 21966

Description

Steps to reproduce:

    1. Create a MSSQL table that contains a geometry column, enter it into `geometry_columns` as a polygon column. Other DMBS or layer

sources were not tested.

    2. Insert a polygon into this table so that the border of this polygon intersects itself. For instance: POLYGON ((1828516.9115728119

6141376.1206908831, 1828546.9845998669 6141344.1511666263, 1828498.8841384889 6141359.1626806306,

1828528.957165543 6141327.1931563737, 1828516.9115728119 6141376.1206908831))

    3. Try to add this table as a layer into QGIS

Expected outcome

Version 1: QGIS displays the polygon.

Version 2: QGIS displays an error message stating that it cannot display a polygon if its border intersects itself.

Actual outcome

QGIS crashes with a memory access violation.

Details

    -  Operating system: Windows 10 (x64)

    -  QGIS version: 2.10.1 "Pisa" 

    -  The minidump file is attached.

The problem was encountered by accident, I meant to create a rectangle and mixed up two points. Therefore, it is not very important to

me. However, it confused me a lot. I really expected QGIS to display this polygon.

History

#1 - 2015-12-06 08:38 AM - Martin Formanek

I could not attach the minidump because I had kind of overlooked that the file was 28MB. Some information from it, as text:

Dump Summary

------------

Dump File:    qgis-20151206-164157-32-10916-d20c5b7.dmp :

C:\\Users\\Martin\\AppData\\Local\\Temp\\qgis-20151206-164157-32-10916-d20c5b7.dmp

Last Write Time:    06/12/2015 16:41:57

Process Name:    qgis-bin.exe : C:\\Program Files\\QGIS Pisa\\bin\\qgis-bin.exe

Process Architecture:    x64

Exception Code:    0xC0000005

Exception Information:    The thread tried to read from or write to a virtual address for which it does not have the appropriate access.
Heap Information:    Not Present

System Information

------------------

OS Version:    10.0.10240

CLR Version(s):    

Modules

-------

Module Name    Module Path    Module Version

-----------    -----------    --------------

qgis-bin.exe    C:\\Program Files\\QGIS Pisa\\bin\\qgis-bin.exe    0.0.0.0

ntdll.dll    C:\\Windows\\System32\

tdll.dll    6.2.10240.16430

kernel32.dll    C:\\Windows\\System32\\kernel32.dll    6.2.10240.16384

KERNELBASE.dll    C:\\Windows\\System32\\KERNELBASE.dll    6.2.10240.16384

shell32.dll    C:\\Windows\\System32\\shell32.dll    6.2.10240.16542

msvcrt.dll    C:\\Windows\\System32\\msvcrt.dll    7.0.10240.16384

windows.storage.dll    C:\\Windows\\System32\\windows.storage.dll    6.2.10240.16515

combase.dll    C:\\Windows\\System32\\combase.dll    6.2.10240.16384

rpcrt4.dll    C:\\Windows\\System32\

pcrt4.dll    6.2.10240.16412

advapi32.dll    C:\\Windows\\System32\\advapi32.dll    6.2.10240.16384

sechost.dll    C:\\Windows\\System32\\sechost.dll    6.2.10240.16384

shlwapi.dll    C:\\Windows\\System32\\shlwapi.dll    6.2.10240.16384

gdi32.dll    C:\\Windows\\System32\\gdi32.dll    6.2.10240.16390

user32.dll    C:\\Windows\\System32\\user32.dll    6.2.10240.16384

kernel.appcore.dll    C:\\Windows\\System32\\kernel.appcore.dll    6.2.10240.16384

SHCore.dll    C:\\Windows\\System32\\SHCore.dll    6.2.10240.16384

powrprof.dll    C:\\Windows\\System32\\powrprof.dll    6.2.10240.16384

profapi.dll    C:\\Windows\\System32\\profapi.dll    6.2.10240.16384

qwt5.dll    C:\\Program Files\\QGIS Pisa\\bin\\qwt5.dll    5.2.3.0

QtSql4.dll    C:\\Program Files\\QGIS Pisa\\bin\\QtSql4.dll    4.8.5.0

QtWebKit4.dll    C:\\Program Files\\QGIS Pisa\\bin\\QtWebKit4.dll    4.9.4.0

gdal111.dll    C:\\Program Files\\QGIS Pisa\\bin\\gdal111.dll    1.11.2.0

qgis_core.dll    C:\\Program Files\\QGIS Pisa\\apps\\qgis\\bin\\qgis_core.dll    0.0.0.0

qgis_gui.dll    C:\\Program Files\\QGIS Pisa\\apps\\qgis\\bin\\qgis_gui.dll    0.0.0.0

qgis_analysis.dll    C:\\Program Files\\QGIS Pisa\\apps\\qgis\\bin\\qgis_analysis.dll    0.0.0.0

dbghelp.dll    C:\\Windows\\System32\\dbghelp.dll    6.2.10240.16384

qscintilla2.dll    C:\\Program Files\\QGIS Pisa\\bin\\qscintilla2.dll    0.0.0.0

QtXml4.dll    C:\\Program Files\\QGIS Pisa\\bin\\QtXml4.dll    4.8.5.0

ws2_32.dll    C:\\Windows\\System32\\ws2_32.dll    6.2.10240.16384

nsi.dll    C:\\Windows\\System32\

si.dll    6.2.10240.16384

QtCore4.dll    C:\\Program Files\\QGIS Pisa\\bin\\QtCore4.dll    4.8.5.0

QtGui4.dll    C:\\Program Files\\QGIS Pisa\\bin\\QtGui4.dll    4.8.5.0

QtNetwork4.dll    C:\\Program Files\\QGIS Pisa\\bin\\QtNetwork4.dll    4.8.5.0

ole32.dll    C:\\Windows\\System32\\ole32.dll    6.2.10240.16384

QtSvg4.dll    C:\\Program Files\\QGIS Pisa\\bin\\QtSvg4.dll    4.8.5.0

geos_c.dll    C:\\Program Files\\QGIS Pisa\\bin\\geos_c.dll    0.0.0.0

sqlite3.dll    C:\\Program Files\\QGIS Pisa\\bin\\sqlite3.dll    0.0.0.0

spatialite.dll    C:\\Program Files\\QGIS Pisa\\bin\\spatialite.dll    0.0.0.0

msvcp100.dll    C:\\Program Files\\QGIS Pisa\\bin\\msvcp100.dll    10.0.40219.1
msvcr100.dll    C:\\Program Files\\QGIS Pisa\\bin\\msvcr100.dll    10.0.40219.1

libpq.dll    C:\\Program Files\\QGIS Pisa\\bin\\libpq.dll    9.2.4.13228

odbc32.dll    C:\\Windows\\System32\\odbc32.dll    6.2.10240.16384

comdlg32.dll    C:\\Windows\\System32\\comdlg32.dll    6.2.10240.16405

Wldap32.dll    C:\\Windows\\System32\\Wldap32.dll    6.2.10240.16384

version.dll    C:\\Windows\\System32\\version.dll    6.2.10240.16384

winmm.dll    C:\\Windows\\System32\\winmm.dll    6.2.10240.16384

spatialindex-64.dll    C:\\Program Files\\QGIS Pisa\\bin\\spatialindex-64.dll    0.0.0.0

expat.dll    C:\\Program Files\\QGIS Pisa\\bin\\expat.dll    0.0.0.0

oleaut32.dll    C:\\Windows\\System32\\oleaut32.dll    6.2.10240.16384

imm32.dll    C:\\Windows\\System32\\imm32.dll    6.2.10240.16384

wsock32.dll    C:\\Windows\\System32\\wsock32.dll    6.2.10240.16384

ogdi.dll    C:\\Program Files\\QGIS Pisa\\bin\\ogdi.dll    0.0.0.0

xerces-c_3_1.dll    C:\\Program Files\\QGIS Pisa\\bin\\xerces-c_3_1.dll    3.1.1.0

msctf.dll    C:\\Windows\\System32\\msctf.dll    6.2.10240.16384

jpeg.dll    C:\\Program Files\\QGIS Pisa\\bin\\jpeg.dll    0.0.0.0

netcdf.dll    C:\\Program Files\\QGIS Pisa\\bin\

etcdf.dll    0.0.0.0

libtiff.dll    C:\\Program Files\\QGIS Pisa\\bin\\libtiff.dll    0.0.0.0

libmysql.dll    C:\\Program Files\\QGIS Pisa\\bin\\libmysql.dll    6.1.0.0

geotiff.dll    C:\\Program Files\\QGIS Pisa\\bin\\geotiff.dll    0.0.0.0

hdf5.dll    C:\\Program Files\\QGIS Pisa\\bin\\hdf5.dll    0.0.0.0

libcurl.dll    C:\\Program Files\\QGIS Pisa\\bin\\libcurl.dll    7.31.0.0

libpng16.dll    C:\\Program Files\\QGIS Pisa\\bin\\libpng16.dll    0.0.0.0

normaliz.dll    C:\\Windows\\System32\

ormaliz.dll    6.2.10240.16384

openjp2.dll    C:\\Program Files\\QGIS Pisa\\bin\\openjp2.dll    0.0.0.0

iconv.dll    C:\\Program Files\\QGIS Pisa\\bin\\iconv.dll    0.0.0.0

freexl.dll    C:\\Program Files\\QGIS Pisa\\bin\\freexl.dll    0.0.0.0

zlib1.dll    C:\\Program Files\\QGIS Pisa\\bin\\zlib1.dll    1.2.8.0

proj.dll    C:\\Program Files\\QGIS Pisa\\bin\\proj.dll    0.0.0.0

libxml2.dll    C:\\Program Files\\QGIS Pisa\\bin\\libxml2.dll    0.0.0.0

dpapi.dll    C:\\Windows\\System32\\dpapi.dll    6.2.10240.16384

ssleay32.dll    C:\\Program Files\\QGIS Pisa\\bin\\ssleay32.dll    1.0.1.7

libeay32.dll    C:\\Program Files\\QGIS Pisa\\bin\\libeay32.dll    1.0.1.7

secur32.dll    C:\\Windows\\System32\\secur32.dll    6.2.10240.16384

WINMMBASE.dll    C:\\Windows\\System32\\WINMMBASE.dll    6.2.10240.16384

cfgmgr32.dll    C:\\Windows\\System32\\cfgmgr32.dll    6.2.10240.16384

comctl32.dll   

C:\\Windows\\WinSxS\\amd64_microsoft.windows.common-controls_6595b64144ccf1df_5.82.10240.16384_none_0212ec7eba871e86\\comctl32.dll    5.82.10240.16384
msvcp120.dll    C:\\Windows\\System32\\msvcp120.dll    12.0.21005.1
msvcr120.dll    C:\\Windows\\System32\\msvcr120.dll    12.0.21005.1
jpeg12.dll    C:\\Program Files\\QGIS Pisa\\bin\\jpeg12.dll    0.0.0.0
szip.dll    C:\\Program Files\\QGIS Pisa\\bin\\szip.dll    0.0.0.0
CRYPTBASE.dll    C:\\Windows\\System32\\CRYPTBASE.dll    6.2.10240.16384
winspool.drv    C:\\Windows\\System32\\winspool.drv    6.2.10240.16384
devobj.dll    C:\\Windows\\System32\\devobj.dll    6.2.10240.16384
msvcr90.dll    C:\\Windows\\WinSxS\\amd64_microsoft.vc90.crt_1fc8b3b9a1e18e3b_9.0.30729.9158_none_08e47e47a83d53d6\\msvcr90.dll    9.0.30729.9158
dbgcore.dll    C:\\Windows\\System32\\dbgcore.dll    6.2.10240.16384
sspicli.dll    C:\\Windows\\System32\\sspicli.dll    6.2.10240.16384
bcryptPrimitives.dll    C:\\Windows\\System32\\bcryptPrimitives.dll    6.2.10240.16384
bcrypt.dll    C:\\Windows\\System32\\bcrypt.dll    6.2.10240.16384
uxtheme.dll    C:\\Windows\\System32\\uxtheme.dll    6.2.10240.16397
dwmapi.dll    C:\\Windows\\System32\\dwmapi.dll    6.2.10240.16392
userenv.dll    C:\\Windows\\System32\\userenv.dll    6.2.10240.16384
qgif4.dll    C:\\Program Files\\QGIS Pisa\\apps\\Qt4\\plugins\\imageformats\\qgif4.dll    4.8.5.0
qico4.dll    C:\\Program Files\\QGIS Pisa\\apps\\Qt4\\plugins\\imageformats\\qico4.dll    4.8.5.0
qjpeg4.dll    C:\\Program Files\\QGIS Pisa\\apps\\Qt4\\plugins\\imageformats\\qjpeg4.dll    4.8.5.0
qmng4.dll    C:\\Program Files\\QGIS Pisa\\apps\\Qt4\\plugins\\imageformats\\qmng4.dll    4.8.5.0
qsvg4.dll    C:\\Program Files\\QGIS Pisa\\apps\\Qt4\\plugins\\imageformats\\qsvg4.dll    4.8.5.0
qtga4.dll    C:\\Program Files\\QGIS Pisa\\apps\\Qt4\\plugins\\imageformats\\qtga4.dll    4.8.5.0
qtiff4.dll    C:\\Program Files\\QGIS Pisa\\apps\\Qt4\\plugins\\imageformats\\qtiff4.dll    4.8.5.0
qsvgicon4.dll    C:\\Program Files\\QGIS Pisa\\apps\\Qt4\\plugins\\iconengines\\qsvgicon4.dll    4.8.5.0
qsqlite4.dll    C:\\Program Files\\QGIS Pisa\\apps\\Qt4\\plugins\\sqldrivers\\qsqlite4.dll    4.8.5.0
qgenericbearer4.dll    C:\\Program Files\\QGIS Pisa\\apps\\Qt4\\plugins\\bearer\\qgenericbearer4.dll    4.8.5.0
IPHLPAPI.DLL    C:\\Windows\\System32\\IPHLPAPI.DLL    6.2.10240.16384
winnsi.dll    C:\\Windows\\System32\\winnsi.dll    6.2.10240.16384
dhcpcsvc.dll    C:\\Windows\\System32\\dhcpcsvc.dll    6.2.10240.16384
dhcpcsvc6.DLL    C:\\Windows\\System32\\dhcpcsvc6.DLL    6.2.10240.16384
qnativewifibearer4.dll    C:\\Program Files\\QGIS Pisa\\apps\\Qt4\\plugins\\bearer\\qnativewifibearer4.dll    4.8.5.0
wlanapi.dll    C:\\Windows\\System32\\wlanapi.dll    6.2.10240.16384
edputil.dll    C:\\Windows\\System32\\edputil.dll    6.2.10240.16384
iertutil.dll    C:\\Windows\\System32\\iertutil.dll    11.0.10240.16590
WinTypes.dll    C:\\Windows\\System32\\WinTypes.dll    6.2.10240.16384
policymanager.dll    C:\\Windows\\System32\\policymanager.dll    6.2.10240.16384
msvcp110_win.dll    C:\\Windows\\System32\\msvcp110_win.dll    6.2.10240.16384
xmllite.dll    C:\\Windows\\System32\\xmllite.dll    6.2.10240.16384
cryptsp.dll    C:\\Windows\\System32\\cryptsp.dll    6.2.10240.16384
rsaenh.dll    C:\\Windows\\System32\
saenh.dll    6.2.10240.16384
coordinatecaptureplugin.dll    C:\\Program Files\\QGIS Pisa\\apps\\qgis\\plugins\\coordinatecaptureplugin.dll    0.0.0.0
delimitedtextprovider.dll    C:\\Program Files\\QGIS Pisa\\apps\\qgis\\plugins\\delimitedtextprovider.dll    0.0.0.0
dxf2shpconverterplugin.dll    C:\\Program Files\\QGIS Pisa\\apps\\qgis\\plugins\\dxf2shpconverterplugin.dll    0.0.0.0
evis.dll    C:\\Program Files\\QGIS Pisa\\apps\\qgis\\plugins\\evis.dll    0.0.0.0
gdalprovider.dll    C:\\Program Files\\QGIS Pisa\\apps\\qgis\\plugins\\gdalprovider.dll    0.0.0.0
gdal_ECW_JP2ECW.dll    C:\\Program Files\\QGIS Pisa\\bin\\gdalplugins\\gdal_ECW_JP2ECW.dll    0.0.0.0
NCSEcw.dll    C:\\Program Files\\QGIS Pisa\\bin\\NCSEcw.dll    5.0.1.1346
crypt32.dll    C:\\Windows\\System32\\crypt32.dll    6.2.10240.16384
msasn1.dll    C:\\Windows\\System32\\msasn1.dll    6.2.10240.16384
imagehlp.dll    C:\\Windows\\System32\\imagehlp.dll    6.2.10240.16384
gdal_GEOR.dll    C:\\Program Files\\QGIS Pisa\\bin\\gdalplugins\\gdal_GEOR.dll    0.0.0.0
oci.dll    C:\\Program Files\\QGIS Pisa\\bin\\oci.dll    12.1.0.0
psapi.dll    C:\\Windows\\System32\\psapi.dll    6.2.10240.16384
gdal_MG4Lidar.dll    C:\\Program Files\\QGIS Pisa\\bin\\gdalplugins\\gdal_MG4Lidar.dll    0.0.0.0
lti_lidar_dsdk.dll    C:\\Program Files\\QGIS Pisa\\bin\\lti_lidar_dsdk.dll    1.1.1.3422
gdal_MrSID.dll    C:\\Program Files\\QGIS Pisa\\bin\\gdalplugins\\gdal_MrSID.dll    0.0.0.0
lti_dsdk.dll    C:\\Program Files\\QGIS Pisa\\bin\\lti_dsdk.dll    8.5.0.3422
georefplugin.dll    C:\\Program Files\\QGIS Pisa\\apps\\qgis\\plugins\\georefplugin.dll    0.0.0.0
gsl.dll    C:\\Program Files\\QGIS Pisa\\bin\\gsl.dll    0.0.0.0
cblas.dll    C:\\Program Files\\QGIS Pisa\\bin\\cblas.dll    0.0.0.0
globeplugin.dll    C:\\Program Files\\QGIS Pisa\\apps\\qgis\\plugins\\globeplugin.dll    0.0.0.0
osg97-osgDB.dll    C:\\Program Files\\QGIS Pisa\\bin\\osg97-osgDB.dll    3.1.7.97
QtOpenGL4.dll    C:\\Program Files\\QGIS Pisa\\bin\\QtOpenGL4.dll    4.8.5.0
osg97-osgGA.dll    C:\\Program Files\\QGIS Pisa\\bin\\osg97-osgGA.dll    3.1.7.97
osg97-osg.dll    C:\\Program Files\\QGIS Pisa\\bin\\osg97-osg.dll    3.1.7.97
osg97-osgQt.dll    C:\\Program Files\\QGIS Pisa\\bin\\osg97-osgQt.dll    3.1.7.97
osg97-osgViewer.dll    C:\\Program Files\\QGIS Pisa\\bin\\osg97-osgViewer.dll    3.1.7.97
osgEarth.dll    C:\\Program Files\\QGIS Pisa\\bin\\osgEarth.dll    0.0.0.0
osgEarthUtil.dll    C:\\Program Files\\QGIS Pisa\\bin\\osgEarthUtil.dll    0.0.0.0
osgEarthQt.dll    C:\\Program Files\\QGIS Pisa\\bin\\osgEarthQt.dll    0.0.0.0
ot12-OpenThreads.dll    C:\\Program Files\\QGIS Pisa\\bin\\ot12-OpenThreads.dll    2.6.0.12
opengl32.dll    C:\\Windows\\System32\\opengl32.dll    6.2.10240.16384
osg97-osgUtil.dll    C:\\Program Files\\QGIS Pisa\\bin\\osg97-osgUtil.dll    3.1.7.97
osg97-osgText.dll    C:\\Program Files\\QGIS Pisa\\bin\\osg97-osgText.dll    3.1.7.97
osg97-osgTerrain.dll    C:\\Prog

2.dll    5.82.10240.16384

msvcp120.dll    C:\\Windows\\System32\\msvcp120.dll    12.0.21005.1

msvcr120.dll    C:\\Windows\\System32\\msvcr120.dll    12.0.21005.1

jpeg12.dll    C:\\Program Files\\QGIS Pisa\\bin\\jpeg12.dll    0.0.0.0

szip.dll    C:\\Program Files\\QGIS Pisa\\bin\\szip.dll    0.0.0.0

CRYPTBASE.dll    C:\\Windows\\System32\\CRYPTBASE.dll    6.2.10240.16384

winspool.drv    C:\\Windows\\System32\\winspool.drv    6.2.10240.16384

devobj.dll    C:\\Windows\\System32\\devobj.dll    6.2.10240.16384

msvcr90.dll    C:\\Windows\\WinSxS\\amd64_microsoft.vc90.crt_1fc8b3b9a1e18e3b_9.0.30729.9158_none_08e47e47a83d53d6\\msvcr90.dll   

9.0.30729.9158

dbgcore.dll    C:\\Windows\\System32\\dbgcore.dll    6.2.10240.16384

sspicli.dll    C:\\Windows\\System32\\sspicli.dll    6.2.10240.16384

bcryptPrimitives.dll    C:\\Windows\\System32\\bcryptPrimitives.dll    6.2.10240.16384
bcrypt.dll    C:\\Windows\\System32\\bcrypt.dll    6.2.10240.16384

uxtheme.dll    C:\\Windows\\System32\\uxtheme.dll    6.2.10240.16397

dwmapi.dll    C:\\Windows\\System32\\dwmapi.dll    6.2.10240.16392

userenv.dll    C:\\Windows\\System32\\userenv.dll    6.2.10240.16384

qgif4.dll    C:\\Program Files\\QGIS Pisa\\apps\\Qt4\\plugins\\imageformats\\qgif4.dll    4.8.5.0

qico4.dll    C:\\Program Files\\QGIS Pisa\\apps\\Qt4\\plugins\\imageformats\\qico4.dll    4.8.5.0

qjpeg4.dll    C:\\Program Files\\QGIS Pisa\\apps\\Qt4\\plugins\\imageformats\\qjpeg4.dll    4.8.5.0

qmng4.dll    C:\\Program Files\\QGIS Pisa\\apps\\Qt4\\plugins\\imageformats\\qmng4.dll    4.8.5.0

qsvg4.dll    C:\\Program Files\\QGIS Pisa\\apps\\Qt4\\plugins\\imageformats\\qsvg4.dll    4.8.5.0

qtga4.dll    C:\\Program Files\\QGIS Pisa\\apps\\Qt4\\plugins\\imageformats\\qtga4.dll    4.8.5.0

qtiff4.dll    C:\\Program Files\\QGIS Pisa\\apps\\Qt4\\plugins\\imageformats\\qtiff4.dll    4.8.5.0

qsvgicon4.dll    C:\\Program Files\\QGIS Pisa\\apps\\Qt4\\plugins\\iconengines\\qsvgicon4.dll    4.8.5.0

qsqlite4.dll    C:\\Program Files\\QGIS Pisa\\apps\\Qt4\\plugins\\sqldrivers\\qsqlite4.dll    4.8.5.0

qgenericbearer4.dll    C:\\Program Files\\QGIS Pisa\\apps\\Qt4\\plugins\\bearer\\qgenericbearer4.dll    4.8.5.0

IPHLPAPI.DLL    C:\\Windows\\System32\\IPHLPAPI.DLL    6.2.10240.16384

winnsi.dll    C:\\Windows\\System32\\winnsi.dll    6.2.10240.16384

dhcpcsvc.dll    C:\\Windows\\System32\\dhcpcsvc.dll    6.2.10240.16384

dhcpcsvc6.DLL    C:\\Windows\\System32\\dhcpcsvc6.DLL    6.2.10240.16384

qnativewifibearer4.dll    C:\\Program Files\\QGIS Pisa\\apps\\Qt4\\plugins\\bearer\\qnativewifibearer4.dll    4.8.5.0

wlanapi.dll    C:\\Windows\\System32\\wlanapi.dll    6.2.10240.16384

edputil.dll    C:\\Windows\\System32\\edputil.dll    6.2.10240.16384

iertutil.dll    C:\\Windows\\System32\\iertutil.dll    11.0.10240.16590

WinTypes.dll    C:\\Windows\\System32\\WinTypes.dll    6.2.10240.16384

policymanager.dll    C:\\Windows\\System32\\policymanager.dll    6.2.10240.16384

msvcp110_win.dll    C:\\Windows\\System32\\msvcp110_win.dll    6.2.10240.16384

xmllite.dll    C:\\Windows\\System32\\xmllite.dll    6.2.10240.16384

cryptsp.dll    C:\\Windows\\System32\\cryptsp.dll    6.2.10240.16384

rsaenh.dll    C:\\Windows\\System32\

saenh.dll    6.2.10240.16384

coordinatecaptureplugin.dll    C:\\Program Files\\QGIS Pisa\\apps\\qgis\\plugins\\coordinatecaptureplugin.dll    0.0.0.0

delimitedtextprovider.dll    C:\\Program Files\\QGIS Pisa\\apps\\qgis\\plugins\\delimitedtextprovider.dll    0.0.0.0

dxf2shpconverterplugin.dll    C:\\Program Files\\QGIS Pisa\\apps\\qgis\\plugins\\dxf2shpconverterplugin.dll    0.0.0.0

evis.dll    C:\\Program Files\\QGIS Pisa\\apps\\qgis\\plugins\\evis.dll    0.0.0.0

gdalprovider.dll    C:\\Program Files\\QGIS Pisa\\apps\\qgis\\plugins\\gdalprovider.dll    0.0.0.0

gdal_ECW_JP2ECW.dll    C:\\Program Files\\QGIS Pisa\\bin\\gdalplugins\\gdal_ECW_JP2ECW.dll    0.0.0.0

NCSEcw.dll    C:\\Program Files\\QGIS Pisa\\bin\\NCSEcw.dll    5.0.1.1346

crypt32.dll    C:\\Windows\\System32\\crypt32.dll    6.2.10240.16384

msasn1.dll    C:\\Windows\\System32\\msasn1.dll    6.2.10240.16384

imagehlp.dll    C:\\Windows\\System32\\imagehlp.dll    6.2.10240.16384

gdal_GEOR.dll    C:\\Program Files\\QGIS Pisa\\bin\\gdalplugins\\gdal_GEOR.dll    0.0.0.0

oci.dll    C:\\Program Files\\QGIS Pisa\\bin\\oci.dll    12.1.0.0

psapi.dll    C:\\Windows\\System32\\psapi.dll    6.2.10240.16384

gdal_MG4Lidar.dll    C:\\Program Files\\QGIS Pisa\\bin\\gdalplugins\\gdal_MG4Lidar.dll    0.0.0.0

lti_lidar_dsdk.dll    C:\\Program Files\\QGIS Pisa\\bin\\lti_lidar_dsdk.dll    1.1.1.3422

gdal_MrSID.dll    C:\\Program Files\\QGIS Pisa\\bin\\gdalplugins\\gdal_MrSID.dll    0.0.0.0

lti_dsdk.dll    C:\\Program Files\\QGIS Pisa\\bin\\lti_dsdk.dll    8.5.0.3422

georefplugin.dll    C:\\Program Files\\QGIS Pisa\\apps\\qgis\\plugins\\georefplugin.dll    0.0.0.0

gsl.dll    C:\\Program Files\\QGIS Pisa\\bin\\gsl.dll    0.0.0.0

cblas.dll    C:\\Program Files\\QGIS Pisa\\bin\\cblas.dll    0.0.0.0

globeplugin.dll    C:\\Program Files\\QGIS Pisa\\apps\\qgis\\plugins\\globeplugin.dll    0.0.0.0

osg97-osgDB.dll    C:\\Program Files\\QGIS Pisa\\bin\\osg97-osgDB.dll    3.1.7.97

QtOpenGL4.dll    C:\\Program Files\\QGIS Pisa\\bin\\QtOpenGL4.dll    4.8.5.0

osg97-osgGA.dll    C:\\Program Files\\QGIS Pisa\\bin\\osg97-osgGA.dll    3.1.7.97
osg97-osg.dll    C:\\Program Files\\QGIS Pisa\\bin\\osg97-osg.dll    3.1.7.97

osg97-osgQt.dll    C:\\Program Files\\QGIS Pisa\\bin\\osg97-osgQt.dll    3.1.7.97

osg97-osgViewer.dll    C:\\Program Files\\QGIS Pisa\\bin\\osg97-osgViewer.dll    3.1.7.97

osgEarth.dll    C:\\Program Files\\QGIS Pisa\\bin\\osgEarth.dll    0.0.0.0

osgEarthUtil.dll    C:\\Program Files\\QGIS Pisa\\bin\\osgEarthUtil.dll    0.0.0.0

osgEarthQt.dll    C:\\Program Files\\QGIS Pisa\\bin\\osgEarthQt.dll    0.0.0.0

ot12-OpenThreads.dll    C:\\Program Files\\QGIS Pisa\\bin\\ot12-OpenThreads.dll    2.6.0.12

opengl32.dll    C:\\Windows\\System32\\opengl32.dll    6.2.10240.16384

osg97-osgUtil.dll    C:\\Program Files\\QGIS Pisa\\bin\\osg97-osgUtil.dll    3.1.7.97

osg97-osgText.dll    C:\\Program Files\\QGIS Pisa\\bin\\osg97-osgText.dll    3.1.7.97

osg97-osgTerrain.dll    C:\\Program Files\\QGIS Pisa\\bin\\osg97-osgTerrain.dll    3.1.7.97

osg97-osgShadow.dll    C:\\Program Files\\QGIS Pisa\\bin\\osg97-osgShadow.dll    3.1.7.97

gdal110.dll    C:\\Program Files\\QGIS Pisa\\bin\\gdal110.dll    1.10.1.0

osg97-osgManipulator.dll    C:\\Program Files\\QGIS Pisa\\bin\\osg97-osgManipulator.dll    3.1.7.97

osgEarthFeatures.dll    C:\\Program Files\\QGIS Pisa\\bin\\osgEarthFeatures.dll    0.0.0.0

osgEarthSymbology.dll    C:\\Program Files\\QGIS Pisa\\bin\\osgEarthSymbology.dll    0.0.0.0

osgEarthAnnotation.dll    C:\\Program Files\\QGIS Pisa\\bin\\osgEarthAnnotation.dll    0.0.0.0

osg97-osgSim.dll    C:\\Program Files\\QGIS Pisa\\bin\\osg97-osgSim.dll    3.1.7.97

glu32.dll    C:\\Windows\\System32\\glu32.dll    6.2.10240.16384

ddraw.dll    C:\\Windows\\System32\\ddraw.dll    6.2.10240.16384

dciman32.dll    C:\\Windows\\System32\\dciman32.dll    6.2.10240.16384

gpsimporterplugin.dll    C:\\Program Files\\QGIS Pisa\\apps\\qgis\\plugins\\gpsimporterplugin.dll    0.0.0.0

gpxprovider.dll    C:\\Program Files\\QGIS Pisa\\apps\\qgis\\plugins\\gpxprovider.dll    0.0.0.0

heatmapplugin.dll    C:\\Program Files\\QGIS Pisa\\apps\\qgis\\plugins\\heatmapplugin.dll    0.0.0.0

interpolationplugin.dll    C:\\Program Files\\QGIS Pisa\\apps\\qgis\\plugins\\interpolationplugin.dll    0.0.0.0

memoryprovider.dll    C:\\Program Files\\QGIS Pisa\\apps\\qgis\\plugins\\memoryprovider.dll    0.0.0.0

mssqlprovider.dll    C:\\Program Files\\QGIS Pisa\\apps\\qgis\\plugins\\mssqlprovider.dll    0.0.0.0

offlineeditingplugin.dll    C:\\Program Files\\QGIS Pisa\\apps\\qgis\\plugins\\offlineeditingplugin.dll    0.0.0.0

ogrprovider.dll    C:\\Program Files\\QGIS Pisa\\apps\\qgis\\plugins\\ogrprovider.dll    0.0.0.0

ogr_OCI.dll    C:\\Program Files\\QGIS Pisa\\bin\\gdalplugins\\ogr_OCI.dll    0.0.0.0

ogr_SOSI.dll    C:\\Program Files\\QGIS Pisa\\bin\\gdalplugins\\ogr_SOSI.dll    0.0.0.0

oracleplugin.dll    C:\\Program Files\\QGIS Pisa\\apps\\qgis\\plugins\\oracleplugin.dll    0.0.0.0

oracleprovider.dll    C:\\Program Files\\QGIS Pisa\\apps\\qgis\\plugins\\oracleprovider.dll    0.0.0.0

owsprovider.dll    C:\\Program Files\\QGIS Pisa\\apps\\qgis\\plugins\\owsprovider.dll    0.0.0.0

postgresprovider.dll    C:\\Program Files\\QGIS Pisa\\apps\\qgis\\plugins\\postgresprovider.dll    0.0.0.0

rasterterrainplugin.dll    C:\\Program Files\\QGIS Pisa\\apps\\qgis\\plugins\

asterterrainplugin.dll    0.0.0.0

roadgraphplugin.dll    C:\\Program Files\\QGIS Pisa\\apps\\qgis\\plugins\

oadgraphplugin.dll    0.0.0.0

qgis_networkanalysis.dll    C:\\Program Files\\QGIS Pisa\\apps\\qgis\\bin\\qgis_networkanalysis.dll    0.0.0.0

spatialiteprovider.dll    C:\\Program Files\\QGIS Pisa\\apps\\qgis\\plugins\\spatialiteprovider.dll    0.0.0.0

spatialqueryplugin.dll    C:\\Program Files\\QGIS Pisa\\apps\\qgis\\plugins\\spatialqueryplugin.dll    0.0.0.0

spitplugin.dll    C:\\Program Files\\QGIS Pisa\\apps\\qgis\\plugins\\spitplugin.dll    0.0.0.0

topolplugin.dll    C:\\Program Files\\QGIS Pisa\\apps\\qgis\\plugins\\topolplugin.dll    0.0.0.0

wcsprovider.dll    C:\\Program Files\\QGIS Pisa\\apps\\qgis\\plugins\\wcsprovider.dll    0.0.0.0

wfsprovider.dll    C:\\Program Files\\QGIS Pisa\\apps\\qgis\\plugins\\wfsprovider.dll    0.0.0.0

wmsprovider.dll    C:\\Program Files\\QGIS Pisa\\apps\\qgis\\plugins\\wmsprovider.dll    0.0.0.0

QtScript4.dll    C:\\Program Files\\QGIS Pisa\\bin\\QtScript4.dll    4.8.5.0

zonalstatisticsplugin.dll    C:\\Program Files\\QGIS Pisa\\apps\\qgis\\plugins\\zonalstatisticsplugin.dll    0.0.0.0

qgispython.DLL    C:\\Program Files\\QGIS Pisa\\apps\\qgis\\bin\\qgispython.DLL    0.0.0.0

python27.dll    C:\\Program Files\\QGIS Pisa\\bin\\python27.dll    2.7.5150.1013

sip.pyd    C:\\Program Files\\QGIS Pisa\\apps\\Python27\\Lib\\site-packages\\sip.pyd    0.0.0.0

QtCore.pyd    C:\\Program Files\\QGIS Pisa\\apps\\Python27\\Lib\\site-packages\\PyQt4\\QtCore.pyd    0.0.0.0
QtGui.pyd    C:\\Program Files\\QGIS Pisa\\apps\\Python27\\Lib\\site-packages\\PyQt4\\QtGui.pyd    0.0.0.0

_core.pyd    C:\\Program Files\\QGIS Pisa\\apps\\qgis\\python\\qgis\\_core.pyd    0.0.0.0

QtNetwork.pyd    C:\\Program Files\\QGIS Pisa\\apps\\Python27\\Lib\\site-packages\\PyQt4\\QtNetwork.pyd    0.0.0.0

QtXml.pyd    C:\\Program Files\\QGIS Pisa\\apps\\Python27\\Lib\\site-packages\\PyQt4\\QtXml.pyd    0.0.0.0

_gui.pyd    C:\\Program Files\\QGIS Pisa\\apps\\qgis\\python\\qgis\\_gui.pyd    0.0.0.0

Qsci.pyd    C:\\Program Files\\QGIS Pisa\\apps\\Python27\\Lib\\site-packages\\PyQt4\\Qsci.pyd    0.0.0.0

_hashlib.pyd    C:\\Program Files\\QGIS Pisa\\apps\\Python27\\DLLs\\_hashlib.pyd    0.0.0.0

_gdal.pyd    C:\\Program Files\\QGIS Pisa\\apps\\Python27\\Lib\\site-packages\\osgeo\\_gdal.pyd    0.0.0.0

_gdalconst.pyd    C:\\Program Files\\QGIS Pisa\\apps\\Python27\\Lib\\site-packages\\osgeo\\_gdalconst.pyd    0.0.0.0

_ogr.pyd    C:\\Program Files\\QGIS Pisa\\apps\\Python27\\Lib\\site-packages\\osgeo\\_ogr.pyd    0.0.0.0

_osr.pyd    C:\\Program Files\\QGIS Pisa\\apps\\Python27\\Lib\\site-packages\\osgeo\\_osr.pyd    0.0.0.0

_socket.pyd    C:\\Program Files\\QGIS Pisa\\apps\\Python27\\DLLs\\_socket.pyd    0.0.0.0

_ssl.pyd    C:\\Program Files\\QGIS Pisa\\apps\\Python27\\DLLs\\_ssl.pyd    0.0.0.0

NapiNSP.dll    C:\\Windows\\System32\\NapiNSP.dll    6.2.10240.16384

pnrpnsp.dll    C:\\Windows\\System32\\pnrpnsp.dll    6.2.10240.16384

nlaapi.dll    C:\\Windows\\System32\

laapi.dll    6.2.10240.16384

mswsock.dll    C:\\Windows\\System32\\mswsock.dll    6.2.10240.16384

dnsapi.dll    C:\\Windows\\System32\\dnsapi.dll    6.2.10240.16384

winrnr.dll    C:\\Windows\\System32\\winrnr.dll    6.2.10240.16384

win32api.pyd    C:\\Program Files\\QGIS Pisa\\apps\\Python27\\Lib\\site-packages\\win32\\win32api.pyd    2.7.218.0

pywintypes27.dll    C:\\Program Files\\QGIS Pisa\\bin\\pywintypes27.dll    2.7.218.0

_speedups.pyd    C:\\Program Files\\QGIS

Pisa\\apps\\Python27\\Lib\\site-packages\\markupsafe-0.23-py2.7-win-amd64.egg\\markupsafe\\_speedups.pyd    0.0.0.0

_imaging.pyd    C:\\Program Files\\QGIS Pisa\\apps\\Python27\\Lib\\site-packages\\PIL\\_imaging.pyd    0.0.0.0

pyexpat.pyd    C:\\Program Files\\QGIS Pisa\\apps\\Python27\\DLLs\\pyexpat.pyd    0.0.0.0

_ctypes.pyd    C:\\Program Files\\QGIS Pisa\\apps\\Python27\\DLLs\\_ctypes.pyd    0.0.0.0

QtWebKit.pyd    C:\\Program Files\\QGIS Pisa\\apps\\Python27\\Lib\\site-packages\\PyQt4\\QtWebKit.pyd    0.0.0.0

multiarray.pyd    C:\\Program Files\\QGIS Pisa\\apps\\Python27\\Lib\\site-packages\

umpy\\core\\multiarray.pyd    0.0.0.0

umath.pyd    C:\\Program Files\\QGIS Pisa\\apps\\Python27\\Lib\\site-packages\

umpy\\core\\umath.pyd    0.0.0.0

_dotblas.pyd    C:\\Program Files\\QGIS Pisa\\apps\\Python27\\Lib\\site-packages\

umpy\\core\\_dotblas.pyd    0.0.0.0

libiomp5md.dll    C:\\Program Files\\QGIS Pisa\\apps\\Python27\\Lib\\site-packages\

umpy\\core\\libiomp5md.dll    5.0.2014.401

scalarmath.pyd    C:\\Program Files\\QGIS Pisa\\apps\\Python27\\Lib\\site-packages\

umpy\\core\\scalarmath.pyd    0.0.0.0

_compiled_base.pyd    C:\\Program Files\\QGIS Pisa\\apps\\Python27\\Lib\\site-packages\

umpy\\lib\\_compiled_base.pyd    0.0.0.0

lapack_lite.pyd    C:\\Program Files\\QGIS Pisa\\apps\\Python27\\Lib\\site-packages\

umpy\\linalg\\lapack_lite.pyd    0.0.0.0

_umath_linalg.pyd    C:\\Program Files\\QGIS Pisa\\apps\\Python27\\Lib\\site-packages\

umpy\\linalg\\_umath_linalg.pyd    0.0.0.0

fftpack_lite.pyd    C:\\Program Files\\QGIS Pisa\\apps\\Python27\\Lib\\site-packages\

umpy\\fft\\fftpack_lite.pyd    0.0.0.0

mtrand.pyd    C:\\Program Files\\QGIS Pisa\\apps\\Python27\\Lib\\site-packages\

umpy\

andom\\mtrand.pyd    0.0.0.0

_path.pyd    C:\\Program Files\\QGIS Pisa\\apps\\Python27\\Lib\\site-packages\\matplotlib-1.3.1-py2.7-win-amd64.egg\\matplotlib\\_path.pyd   

0.0.0.0

msvcp90.dll    C:\\Windows\\WinSxS\\amd64_microsoft.vc90.crt_1fc8b3b9a1e18e3b_9.0.30729.9158_none_08e47e47a83d53d6\\msvcp90.dll   

9.0.30729.9158
ft2font.pyd    C:\\Program Files\\QGIS Pisa\\apps\\Python27\\Lib\\site-packages\\matplotlib-1.3.1-py2.7-win-amd64.egg\\matplotlib\\ft2font.pyd   

0.0.0.0

unicodedata.pyd    C:\\Program Files\\QGIS Pisa\\apps\\Python27\\DLLs\\unicodedata.pyd    0.0.0.0

_png.pyd    C:\\Program Files\\QGIS Pisa\\apps\\Python27\\Lib\\site-packages\\matplotlib-1.3.1-py2.7-win-amd64.egg\\matplotlib\\_png.pyd   

0.0.0.0

_cntr.pyd    C:\\Program Files\\QGIS Pisa\\apps\\Python27\\Lib\\site-packages\\matplotlib-1.3.1-py2.7-win-amd64.egg\\matplotlib\\_cntr.pyd   

0.0.0.0

_image.pyd    C:\\Program Files\\QGIS Pisa\\apps\\Python27\\Lib\\site-packages\\matplotlib-1.3.1-py2.7-win-amd64.egg\\matplotlib\\_image.pyd  

 0.0.0.0

_delaunay.pyd    C:\\Program Files\\QGIS

Pisa\\apps\\Python27\\Lib\\site-packages\\matplotlib-1.3.1-py2.7-win-amd64.egg\\matplotlib\\_delaunay.pyd    0.0.0.0

_tri.pyd    C:\\Program Files\\QGIS Pisa\\apps\\Python27\\Lib\\site-packages\\matplotlib-1.3.1-py2.7-win-amd64.egg\\matplotlib\\_tri.pyd    0.0.0.0

_backend_agg.pyd    C:\\Program Files\\QGIS

Pisa\\apps\\Python27\\Lib\\site-packages\\matplotlib-1.3.1-py2.7-win-amd64.egg\\matplotlib\\backends\\_backend_agg.pyd    0.0.0.0

_ufuncs.pyd    C:\\Program Files\\QGIS Pisa\\apps\\Python27\\Lib\\site-packages\\scipy\\special\\_ufuncs.pyd    0.0.0.0

libmmd.dll    C:\\Program Files\\QGIS Pisa\\apps\\Python27\\Lib\\site-packages\

umpy\\core\\libmmd.dll    14.0.0.3

libifcoremd.dll    C:\\Program Files\\QGIS Pisa\\apps\\Python27\\Lib\\site-packages\

umpy\\core\\libifcoremd.dll    14.0.103.103

_ufuncs_cxx.pyd    C:\\Program Files\\QGIS Pisa\\apps\\Python27\\Lib\\site-packages\\scipy\\special\\_ufuncs_cxx.pyd    0.0.0.0

specfun.pyd    C:\\Program Files\\QGIS Pisa\\apps\\Python27\\Lib\\site-packages\\scipy\\special\\specfun.pyd    0.0.0.0

_fblas.pyd    C:\\Program Files\\QGIS Pisa\\apps\\Python27\\Lib\\site-packages\\scipy\\linalg\\_fblas.pyd    0.0.0.0

_flinalg.pyd    C:\\Program Files\\QGIS Pisa\\apps\\Python27\\Lib\\site-packages\\scipy\\linalg\\_flinalg.pyd    0.0.0.0

_flapack.pyd    C:\\Program Files\\QGIS Pisa\\apps\\Python27\\Lib\\site-packages\\scipy\\linalg\\_flapack.pyd    0.0.0.0

calc_lwork.pyd    C:\\Program Files\\QGIS Pisa\\apps\\Python27\\Lib\\site-packages\\scipy\\linalg\\calc_lwork.pyd    0.0.0.0

futil.pyd    C:\\Program Files\\QGIS Pisa\\apps\\Python27\\Lib\\site-packages\\scipy\\stats\\futil.pyd    0.0.0.0

minpack2.pyd    C:\\Program Files\\QGIS Pisa\\apps\\Python27\\Lib\\site-packages\\scipy\\optimize\\minpack2.pyd    0.0.0.0

_lbfgsb.pyd    C:\\Program Files\\QGIS Pisa\\apps\\Python27\\Lib\\site-packages\\scipy\\optimize\\_lbfgsb.pyd    0.0.0.0

moduleTNC.pyd    C:\\Program Files\\QGIS Pisa\\apps\\Python27\\Lib\\site-packages\\scipy\\optimize\\moduleTNC.pyd    0.0.0.0

_cobyla.pyd    C:\\Program Files\\QGIS Pisa\\apps\\Python27\\Lib\\site-packages\\scipy\\optimize\\_cobyla.pyd    0.0.0.0

_slsqp.pyd    C:\\Program Files\\QGIS Pisa\\apps\\Python27\\Lib\\site-packages\\scipy\\optimize\\_slsqp.pyd    0.0.0.0

_minpack.pyd    C:\\Program Files\\QGIS Pisa\\apps\\Python27\\Lib\\site-packages\\scipy\\optimize\\_minpack.pyd    0.0.0.0

_sparsetools.pyd    C:\\Program Files\\QGIS Pisa\\apps\\Python27\\Lib\\site-packages\\scipy\\sparse\\_sparsetools.pyd    0.0.0.0

_csparsetools.pyd    C:\\Program Files\\QGIS Pisa\\apps\\Python27\\Lib\\site-packages\\scipy\\sparse\\_csparsetools.pyd    0.0.0.0

_shortest_path.pyd    C:\\Program Files\\QGIS Pisa\\apps\\Python27\\Lib\\site-packages\\scipy\\sparse\\csgraph\\_shortest_path.pyd    0.0.0.0

_tools.pyd    C:\\Program Files\\QGIS Pisa\\apps\\Python27\\Lib\\site-packages\\scipy\\sparse\\csgraph\\_tools.pyd    0.0.0.0

_traversal.pyd    C:\\Program Files\\QGIS Pisa\\apps\\Python27\\Lib\\site-packages\\scipy\\sparse\\csgraph\\_traversal.pyd    0.0.0.0

_min_spanning_tree.pyd    C:\\Program Files\\QGIS Pisa\\apps\\Python27\\Lib\\site-packages\\scipy\\sparse\\csgraph\\_min_spanning_tree.pyd   

0.0.0.0

_iterative.pyd    C:\\Program Files\\QGIS Pisa\\apps\\Python27\\Lib\\site-packages\\scipy\\sparse\\linalg\\isolve\\_iterative.pyd    0.0.0.0

_superlu.pyd    C:\\Program Files\\QGIS Pisa\\apps\\Python27\\Lib\\site-packages\\scipy\\sparse\\linalg\\dsolve\\_superlu.pyd    0.0.0.0

_arpack.pyd    C:\\Program Files\\QGIS Pisa\\apps\\Python27\\Lib\\site-packages\\scipy\\sparse\\linalg\\eigen\\arpack\\_arpack.pyd    0.0.0.0

_zeros.pyd    C:\\Program Files\\QGIS Pisa\\apps\\Python27\\Lib\\site-packages\\scipy\\optimize\\_zeros.pyd    0.0.0.0

_nnls.pyd    C:\\Program Files\\QGIS Pisa\\apps\\Python27\\Lib\\site-packages\\scipy\\optimize\\_nnls.pyd    0.0.0.0

_odepack.pyd    C:\\Program Files\\QGIS Pisa\\apps\\Python27\\Lib\\site-packages\\scipy\\integrate\\_odepack.pyd    0.0.0.0

_quadpack.pyd    C:\\Program Files\\QGIS Pisa\\apps\\Python27\\Lib\\site-packages\\scipy\\integrate\\_quadpack.pyd    0.0.0.0

vode.pyd    C:\\Program Files\\QGIS Pisa\\apps\\Python27\\Lib\\site-packages\\scipy\\integrate\\vode.pyd    0.0.0.0

_dop.pyd    C:\\Program Files\\QGIS Pisa\\apps\\Python27\\Lib\\site-packages\\scipy\\integrate\\_dop.pyd    0.0.0.0

lsoda.pyd    C:\\Program Files\\QGIS Pisa\\apps\\Python27\\Lib\\site-packages\\scipy\\integrate\\lsoda.pyd    0.0.0.0

vonmises_cython.pyd    C:\\Program Files\\QGIS Pisa\\apps\\Python27\\Lib\\site-packages\\scipy\\stats\\vonmises_cython.pyd    0.0.0.0

_rank.pyd    C:\\Program Files\\QGIS Pisa\\apps\\Python27\\Lib\\site-packages\\scipy\\stats\\_rank.pyd    0.0.0.0

statlib.pyd    C:\\Program Files\\QGIS Pisa\\apps\\Python27\\Lib\\site-packages\\scipy\\stats\\statlib.pyd    0.0.0.0

mvn.pyd    C:\\Program Files\\QGIS Pisa\\apps\\Python27\\Lib\\site-packages\\scipy\\stats\\mvn.pyd    0.0.0.0
_psycopg.pyd    C:\\Program Files\\QGIS Pisa\\apps\\Python27\\Lib\\site-packages\\psycopg2\\_psycopg.pyd    0.0.0.0

clbcatq.dll    C:\\Windows\\System32\\clbcatq.dll    2001.12.10941.16384

dataexchange.dll    C:\\Windows\\System32\\dataexchange.dll    6.2.10240.16384

dcomp.dll    C:\\Windows\\System32\\dcomp.dll    6.2.10240.16384

d3d11.dll    C:\\Windows\\System32\\d3d11.dll    6.2.10240.16384

d2d1.dll    C:\\Windows\\System32\\d2d1.dll    6.2.10240.16384

dxgi.dll    C:\\Windows\\System32\\dxgi.dll    6.2.10240.16412

twinapi.appcore.dll    C:\\Windows\\System32\\twinapi.appcore.dll    6.2.10240.16590

propsys.dll    C:\\Windows\\System32\\propsys.dll    7.0.10240.16384

comctl32.dll   

C:\\Windows\\WinSxS\\amd64_microsoft.windows.common-controls_6595b64144ccf1df_6.0.10240.16384_none_f41f7b285750ef43\\comctl32.dll    6.10.10240.16384
tiptsf.dll    C:\\Program Files\\Common Files\\microsoft shared\\ink\\tiptsf.dll    6.2.10240.16384
explorerframe.dll    C:\\Windows\\System32\\explorerframe.dll    6.2.10240.16405
dui70.dll    C:\\Windows\\System32\\dui70.dll    6.2.10240.16384
duser.dll    C:\\Windows\\System32\\duser.dll    6.2.10240.16384
WindowsCodecs.dll    C:\\Windows\\System32\\WindowsCodecs.dll    6.2.10240.16384
thumbcache.dll    C:\\Windows\\System32\\thumbcache.dll    6.2.10240.16384
Windows.Globalization.dll    C:\\Windows\\System32\\Windows.Globalization.dll    6.2.10240.16384
Bcp47Langs.dll    C:\\Windows\\System32\\Bcp47Langs.dll    6.2.10240.16384
globinputhost.dll    C:\\Windows\\System32\\globinputhost.dll    6.2.10240.16384
StructuredQuery.dll    C:\\Windows\\System32\\StructuredQuery.dll    7.0.10240.16384
actxprxy.dll    C:\\Windows\\System32\\actxprxy.dll    6.2.10240.16390
atlthunk.dll    C:\\Windows\\System32\\atlthunk.dll    6.2.10240.16384
Windows.Storage.Search.dll    C:\\Windows\\System32\\Windows.Storage.Search.dll    6.2.10240.16384
IconCodecService.dll    C:\\Windows\\System32\\IconCodecService.dll    6.2.10240.16384
coml2.dll    C:\\Windows\\System32\\coml2.dll    6.2.10240.16384
mpr.dll    C:\\Windows\\System32\\mpr.dll    6.2.10240.16384
drprov.dll    C:\\Windows\\System32\\drprov.dll    6.2.10240.16384
winsta.dll    C:\\Windows\\System32\\winsta.dll    6.2.10240.16384
ntlanman.dll    C:\\Windows\\System32\
tlanman.dll    6.2.10240.16384
davclnt.dll    C:\\Windows\\System32\\davclnt.dll    6.2.10240.16384
davhlpr.dll    C:\\Windows\\System32\\davhlpr.dll    6.2.10240.16384
wkscli.dll    C:\\Windows\\System32\\wkscli.dll    6.2.10240.16384
cscapi.dll    C:\\Windows\\System32\\cscapi.dll    6.2.10240.16384
netutils.dll    C:\\Windows\\System32\
etutils.dll    6.2.10240.16384
twinapi.dll    C:\\Windows\\System32\\twinapi.dll    6.2.10240.16384
linkinfo.dll    C:\\Windows\\System32\\linkinfo.dll    6.2.10240.16384
apphelp.dll    C:\\Windows\\System32\\apphelp.dll    6.2.10240.16384
dlnashext.dll    C:\\Windows\\System32\\dlnashext.dll    12.0.10240.16590
PlayToDevice.dll    C:\\Windows\\System32\\PlayToDevice.dll    12.0.10240.16384
DevDispItemProvider.dll    C:\\Windows\\System32\\DevDispItemProvider.dll    6.2.10240.16384
MMDevAPI.dll    C:\\Windows\\System32\\MMDevAPI.dll    6.2.10240.16384
PortableDeviceApi.dll    C:\\Windows\\System32\\PortableDeviceApi.dll    6.2.10240.16384
setupapi.dll    C:\\Windows\\System32\\setupapi.dll    6.2.10240.16384
wintrust.dll    C:\\Windows\\System32\\wintrust.dll    6.2.10240.16385
EhStorShell.dll    C:\\Windows\\System32\\EhStorShell.dll    6.2.10240.16384
EhStorAPI.dll    C:\\Windows\\System32\\EhStorAPI.dll    6.2.10240.16384
wtsapi32.dll    C:\\Windows\\System32\\wtsapi32.dll    6.2.10240.16384
FileSyncShell64.dll    C:\\Users\\Martin\\AppData\\Local\\Microsoft\\OneDrive\\17.3.6201.1019\\amd64\\FileSyncShell64.dll    17.3.6201.1019
wininet.dll    C:\\Windows\\System32\\wininet.dll    11.0.10240.16515
GROOVEEX.DLL    C:\\Program Files\\Microsoft Office\\OFFICE15\\GROOVEEX.DLL    15.0.4771.1000
atl100.dll    C:\\Windows\\System32\\atl100.dll    10.0.40219.325
msi.dll    C:\\Windows\\System32\\msi.dll    5.0.10240.16386
NetworkExplorer.dll    C:\\Windows\\System32\\NetworkExplorer.dll    6.2.10240.16384
GrooveIntlResource.dll    C:\\Program Files\\Microsoft Office\\OFFICE15\\1031\\GrooveIntlResource.dll    15.0.4763.1000
mssprxy.dll    C:\\Windows\\System32\\mssprxy.dll    7.0.10240.16431
ntshrui.dll    C:\\Windows\\System32\
tshrui.dll    6.2.10240.16405
srvcli.dll    C:\\Windows\\System32\\srvcli.dll    6.2.10240.16384
sqlsrv32.dll    C:\\Windows\\System32\\sqlsrv32.dll    6.2.10240.16384
netapi32.dll    C:\\Windows\\System32\
etapi32.dll    6.2.10240.16384
odbccp32.dll    C:\\Windows\\System32\\odbccp32.dll    6.2.10240.16384
dbnetlib.dll    C:\\Windows\\System32\\dbnetlib.dll    6.2.10240.16384
security.dll    C:\\Windows\\System32\\security.dll    6.2.10240.16384
msv1_0.dll    C:\\Windows\\System32\\msv1_0.dll    6.2.10240.16384
NtlmShared.dll    C:\\Windows\\System32\\NtlmShared.dll    6.2.10240.16384
cryptdll.dll    C:\\Windows\\System32\\cryptdll.dll    6.2.10240.16384
ntdsapi.dll    C:\\Windows\\System32\
tdsapi.dll    6.2.10240.16384
dsparse.dll    C:\\Windows\\System32\\dsparse.dll    6.2.10240.16384
dbnmpntw.dll    C:\\Windows\\System32\\dbnmpntw.dll    6.2.10240.16384
schannel.dll    C:\\Windows\\System32\\schannel.dll    6.2.10240.16384
mskeyprotect.dll    C:\\Windows\\System32\\mskeyprotect.dll    6.2.10240.16384
ncrypt.dll    C:\\Windows\\System32\
crypt.dll    6.2.10240.16384
ntasn1.dll    C:\\Windows\\System32\
tasn1.dll    6.2.10240.16384
ncryptsslp.dll    C:\\Windows\\System32\
cryptsslp.dll    6.2.10240.16384
netbios.dll    C:\\Windows\\System32\
etbios.dll    6.2.10240.16384
rasadhlp.dll    C:\\Windows\\System32\
asadhlp.dll    6.2.10240.16384
FWPUCLNT.DLL    C:\\Windows\\System32\\FWPUCLNT.DLL    6.2.10240.16384


ll    6.10.10240.16384

tiptsf.dll    C:\\Program Files\\Common Files\\microsoft shared\\ink\\tiptsf.dll    6.2.10240.16384

explorerframe.dll    C:\\Windows\\System32\\explorerframe.dll    6.2.10240.16405

dui70.dll    C:\\Windows\\System32\\dui70.dll    6.2.10240.16384

duser.dll    C:\\Windows\\System32\\duser.dll    6.2.10240.16384

WindowsCodecs.dll    C:\\Windows\\System32\\WindowsCodecs.dll    6.2.10240.16384

thumbcache.dll    C:\\Windows\\System32\\thumbcache.dll    6.2.10240.16384

Windows.Globalization.dll    C:\\Windows\\System32\\Windows.Globalization.dll    6.2.10240.16384

Bcp47Langs.dll    C:\\Windows\\System32\\Bcp47Langs.dll    6.2.10240.16384

globinputhost.dll    C:\\Windows\\System32\\globinputhost.dll    6.2.10240.16384

StructuredQuery.dll    C:\\Windows\\System32\\StructuredQuery.dll    7.0.10240.16384

actxprxy.dll    C:\\Windows\\System32\\actxprxy.dll    6.2.10240.16390

atlthunk.dll    C:\\Windows\\System32\\atlthunk.dll    6.2.10240.16384

Windows.Storage.Search.dll    C:\\Windows\\System32\\Windows.Storage.Search.dll    6.2.10240.16384

IconCodecService.dll    C:\\Windows\\System32\\IconCodecService.dll    6.2.10240.16384

coml2.dll    C:\\Windows\\System32\\coml2.dll    6.2.10240.16384

mpr.dll    C:\\Windows\\System32\\mpr.dll    6.2.10240.16384

drprov.dll    C:\\Windows\\System32\\drprov.dll    6.2.10240.16384

winsta.dll    C:\\Windows\\System32\\winsta.dll    6.2.10240.16384

ntlanman.dll    C:\\Windows\\System32\

tlanman.dll    6.2.10240.16384

davclnt.dll    C:\\Windows\\System32\\davclnt.dll    6.2.10240.16384

davhlpr.dll    C:\\Windows\\System32\\davhlpr.dll    6.2.10240.16384

wkscli.dll    C:\\Windows\\System32\\wkscli.dll    6.2.10240.16384

cscapi.dll    C:\\Windows\\System32\\cscapi.dll    6.2.10240.16384

netutils.dll    C:\\Windows\\System32\

etutils.dll    6.2.10240.16384

twinapi.dll    C:\\Windows\\System32\\twinapi.dll    6.2.10240.16384

linkinfo.dll    C:\\Windows\\System32\\linkinfo.dll    6.2.10240.16384

apphelp.dll    C:\\Windows\\System32\\apphelp.dll    6.2.10240.16384

dlnashext.dll    C:\\Windows\\System32\\dlnashext.dll    12.0.10240.16590

PlayToDevice.dll    C:\\Windows\\System32\\PlayToDevice.dll    12.0.10240.16384

DevDispItemProvider.dll    C:\\Windows\\System32\\DevDispItemProvider.dll    6.2.10240.16384

MMDevAPI.dll    C:\\Windows\\System32\\MMDevAPI.dll    6.2.10240.16384

PortableDeviceApi.dll    C:\\Windows\\System32\\PortableDeviceApi.dll    6.2.10240.16384

setupapi.dll    C:\\Windows\\System32\\setupapi.dll    6.2.10240.16384

wintrust.dll    C:\\Windows\\System32\\wintrust.dll    6.2.10240.16385

EhStorShell.dll    C:\\Windows\\System32\\EhStorShell.dll    6.2.10240.16384

EhStorAPI.dll    C:\\Windows\\System32\\EhStorAPI.dll    6.2.10240.16384

wtsapi32.dll    C:\\Windows\\System32\\wtsapi32.dll    6.2.10240.16384

FileSyncShell64.dll    C:\\Users\\Martin\\AppData\\Local\\Microsoft\\OneDrive\\17.3.6201.1019\\amd64\\FileSyncShell64.dll    17.3.6201.1019

wininet.dll    C:\\Windows\\System32\\wininet.dll    11.0.10240.16515
GROOVEEX.DLL    C:\\Program Files\\Microsoft Office\\OFFICE15\\GROOVEEX.DLL    15.0.4771.1000

atl100.dll    C:\\Windows\\System32\\atl100.dll    10.0.40219.325

msi.dll    C:\\Windows\\System32\\msi.dll    5.0.10240.16386

NetworkExplorer.dll    C:\\Windows\\System32\\NetworkExplorer.dll    6.2.10240.16384

GrooveIntlResource.dll    C:\\Program Files\\Microsoft Office\\OFFICE15\\1031\\GrooveIntlResource.dll    15.0.4763.1000

mssprxy.dll    C:\\Windows\\System32\\mssprxy.dll    7.0.10240.16431

ntshrui.dll    C:\\Windows\\System32\

tshrui.dll    6.2.10240.16405

srvcli.dll    C:\\Windows\\System32\\srvcli.dll    6.2.10240.16384

sqlsrv32.dll    C:\\Windows\\System32\\sqlsrv32.dll    6.2.10240.16384

netapi32.dll    C:\\Windows\\System32\

etapi32.dll    6.2.10240.16384

odbccp32.dll    C:\\Windows\\System32\\odbccp32.dll    6.2.10240.16384

dbnetlib.dll    C:\\Windows\\System32\\dbnetlib.dll    6.2.10240.16384

security.dll    C:\\Windows\\System32\\security.dll    6.2.10240.16384

msv1_0.dll    C:\\Windows\\System32\\msv1_0.dll    6.2.10240.16384

NtlmShared.dll    C:\\Windows\\System32\\NtlmShared.dll    6.2.10240.16384

cryptdll.dll    C:\\Windows\\System32\\cryptdll.dll    6.2.10240.16384

ntdsapi.dll    C:\\Windows\\System32\

tdsapi.dll    6.2.10240.16384

dsparse.dll    C:\\Windows\\System32\\dsparse.dll    6.2.10240.16384

dbnmpntw.dll    C:\\Windows\\System32\\dbnmpntw.dll    6.2.10240.16384

schannel.dll    C:\\Windows\\System32\\schannel.dll    6.2.10240.16384

mskeyprotect.dll    C:\\Windows\\System32\\mskeyprotect.dll    6.2.10240.16384

ncrypt.dll    C:\\Windows\\System32\

crypt.dll    6.2.10240.16384

ntasn1.dll    C:\\Windows\\System32\

tasn1.dll    6.2.10240.16384

ncryptsslp.dll    C:\\Windows\\System32\

cryptsslp.dll    6.2.10240.16384

netbios.dll    C:\\Windows\\System32\

etbios.dll    6.2.10240.16384

rasadhlp.dll    C:\\Windows\\System32\

asadhlp.dll    6.2.10240.16384

FWPUCLNT.DLL    C:\\Windows\\System32\\FWPUCLNT.DLL    6.2.10240.16384

#2 - 2016-01-19 04:42 AM - Sandro Santilli

- Status changed from Open to Feedback

Can you still reproduce with current 2.14-pre version ?

If so, do you get any ERROR line printed on the console, prior to the crash ?

#3 - 2016-02-21 03:17 AM - Martin Formanek

I'm sorry for the delay.

I couldn't find a "2.14-pre" version, so I downloaded the latest weekly build (2.13.0-7).

The weekly build does not display the polygon either, but at least it doesn't crash.
As the crash is resolved, I would personally consider this ticket ready to be closed.

#4 - 2016-04-09 12:43 PM - Giovanni Manghi

- Resolution set to fixed/implemented

- Status changed from Feedback to Closed
